%define __gnuversion		4.1.0
%define __gnufullversion	4.1.0
%define __cvscodate		cvs20050927

Summary: The GNU Compiler Collection: gcc, g++, and g95
Name: gcc
%define version %{__gnuversion}
Version: %{version}
Release: %{__cvscodate}a
Source: localhost:/%{name}-%{version}-%{__cvscodate}.tar.gz
Patch: localhost:/%{name}-%{version}-%{__cvscodate}-csqrt.patch
Group: Development/Languages
License: Apple Public Source License, GPL
BuildRoot: %{_tmppath}/%{name}-root

%description
The GNU Compiler Collection: gcc, g++, and gfortran.

%prep
%setup -q
%patch -p1 -b .csqrt

%build
./configure --prefix=%{_prefix} --sysconfdir=%{_sysconfdir} \
	    --mandir=%{_mandir} --datadir=%{_datadir} --infodir=%{_infodir} \
	    --disable-checking --enable-languages=c,c++,f95
make


%install
rm -rf %{buildroot}

make install DESTDIR=%{buildroot}

# Remove unwanted files

(cd %{buildroot}
 rm -f .%{_libdir}/lib*.la
 rm -f .%{_infodir}/dir
)

# Make list of files in the package

find %{buildroot} -type f > list.f
find %{buildroot} -type l > list.l
sed -e "s;%{buildroot};;" list.f > list.new
mv list.new list.f
sed -e "s;%{buildroot};;" list.l > list.new
mv list.new list.l
cat list.l >> list.f
cat list.f | sed -e 's;\(%{_mandir}/.*/.*\..*\);\1*;' \
	         -e 's;\(%{_infodir}/.*\..*\);\1*;' > list.new
mv list.new list.f

%clean
rm -rf %{buildroot}

%changelog
* Wed Sep 27 2005 Keisuke Fujii <keisuke.fujii@kek.jp> 4.1.0-cvs20050927a
- 7th build on MacOS X 10.4.
- applied csqrt patche.

* Wed Sep 22 2005 Keisuke Fujii <keisuke.fujii@kek.jp> 4.1.0-cvs20050921c
- 6th build on MacOS X 10.4.
- applied noauto and csqrt patches.

* Sun Sep 18 2005 Keisuke Fujii <keisuke.fujii@kek.jp> 4.1.0-cvs20050918a
- 5th build on MacOS X 10.4.

* Mon Aug 29 2005 Keisuke Fujii <keisuke.fujii@kek.jp> 4.1.0-cvs20050829a
- 4th build on MacOS X 10.4.

* Tue Jul 19 2005 Keisuke Fujii <keisuke.fujii@kek.jp> 4.1.0-cvs20050719a
- 3rd build on MacOS X 10.4.
- applied noauto patche.

* Wed Jun 29 2005 Keisuke Fujii <keisuke.fujii@kek.jp> 4.1.0-cvs20050629a
- 2nd build on MacOS X 10.4.
- applied hollerith and noauto patches.

* Wed Jun 22 2005 Keisuke Fujii <keisuke.fujii@kek.jp> 4.1.0-cvs20050622a
- 2nd build on MacOS X 10.4.
- applied hollerith and noauto patches.

* Sat Jun  4 2005 Keisuke Fujii <keisuke.fujii@kek.jp> 4.1.0-cvs20050528a
- 1st build on MacOS X 10.4.
- applied hollerith patch.

%files -f list.f
%defattr(-,root,wheel)
%dir /usr/local/include/c++/%{__gnuversion}
%dir /usr/local/include/c++/%{__gnuversion}/backward
%dir /usr/local/include/c++/%{__gnuversion}/bits
%dir /usr/local/include/c++/%{__gnuversion}/debug
%dir /usr/local/include/c++/%{__gnuversion}/ext
%dir /usr/local/include/c++/%{__gnuversion}/powerpc-apple-darwin8.2.0
%dir /usr/local/include/c++/%{__gnuversion}/powerpc-apple-darwin8.2.0/bits
%dir /usr/local/include/c++/%{__gnuversion}/powerpc-apple-darwin8.2.0/bits/stdc++.h.gch
%dir /usr/local/include/c++/%{__gnuversion}/tr1

%dir /usr/local/lib/gcc/powerpc-apple-darwin8.2.0
%dir /usr/local/lib/gcc/powerpc-apple-darwin8.2.0/%{__gnufullversion}
%dir /usr/local/lib/gcc/powerpc-apple-darwin8.2.0/%{__gnufullversion}/include
%dir /usr/local/lib/gcc/powerpc-apple-darwin8.2.0/%{__gnufullversion}/install-tools
%dir /usr/local/lib/gcc/powerpc-apple-darwin8.2.0/%{__gnufullversion}/install-tools/include
%dir /usr/local/libexec/gcc/powerpc-apple-darwin8.2.0
%dir /usr/local/libexec/gcc/powerpc-apple-darwin8.2.0/%{__gnufullversion}
%dir /usr/local/libexec/gcc/powerpc-apple-darwin8.2.0/%{__gnufullversion}/install-tools

